Git 全局设置

```
git config --global user.name "xxx"
git config --global user.email "ddd@qq.com"
```

创建新版本库

```
git clone ssh://git@192.168.66.40:2222/loit-Infrastructure-example/loit-seata-order-example.git
cd loit-seata-order-example
touch README.md
git add README.md
git commit -m "add README"
git push -u origin master
```

已存在的文件夹

```
cd existing_folder
git init
git remote add origin ssh://git@192.168.66.40:2222/loit-Infrastructure-example/loit-seata-order-example.git
git add .
git commit -m "Initial commit"
git push -u origin master
```

已存在的 Git 版本库
```
cd existing_repo
git remote rename origin old-origin
git remote add origin ssh://git@192.168.66.40:2222/loit-Infrastructure-example/loit-seata-order-example.git
git push -u origin --all
git push -u origin --tags
```

# 一、项目地址



###  loit-seata-order-example

```
http://39.100.254.140:12011/loit-Infrastructure-example/loit-seata-order-example
```

###  loit-seata-storage-example

```
http://39.100.254.140:12011/loit-Infrastructure-example/loit-seata-storage-example
```

###  loit-gateway-example

```
http://39.100.254.140:12011/loit-Infrastructure-example/loit-gateway-example
```



# 二、安装seataserver



下载seataserver

```
http://39.100.254.140:12011/loit-Infrastructure-doc/loit-initproject-doc/tree/master/3%E3%80%81other/seata-server-1.0.0/seata
```

其中的config下的配置文件file.conf 和 registry.conf 已经配置到测试环境的nacos和数据库



启动seataserver

```
bin/seata-server.bat
```



# 三、nacos

安装文档参照： 1、安装配置\Docker Compose nacos 安装.md

默认配置使用测试环境的nacos



# 四、sentinel  dashboash

备注：限流规则已经配置成nacos存储。可以不启动dashboash

1、下载

```
http://39.100.254.140:12011/loit-Infrastructure-doc/loit-initproject-doc/tree/master/3%E3%80%81other/sentinel
```

2、启动

```
sentinel-8090.cmd
```

# 五、数据库

使用测试环境的数据库